Skip to main content
PATCH
/
v1
/
tables
/
{table_id}
/
columns
/
{column_id}
Update Table Column
curl --request PATCH \
  --url https://api.extruct.ai/v1/tables/{table_id}/columns/{column_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "key": "<string>",
  "kind": "input"
}
'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "config": {
    "name": "<string>",
    "key": "<string>",
    "kind": "input"
  }
}

Overview

This endpoint replaces a column configuration in an existing table.

Example request

export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
export TABLE_ID="YOUR_TABLE_ID"
export COLUMN_ID="YOUR_COLUMN_ID"

curl -X PATCH "https://api.extruct.ai/v1/tables/${TABLE_ID}/columns/${COLUMN_ID}" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ${EXTRUCT_API_TOKEN}" \
  -d '{
    "kind": "input",
    "name": "Company",
    "key": "input"
  }'

Key parameters

  • table_id (required): target table identifier.
  • column_id (required): target column identifier.
  • Body (required): full column config object matching one supported column type.

Success signal

A successful response includes the updated column configuration.

Common errors

401 Unauthorized

Check that your header is Authorization: Bearer ${EXTRUCT_API_TOKEN}.

404 Not Found

The table or column ID is invalid or unavailable in your workspace.

422 Unprocessable Entity

Most often caused by sending an invalid/partial column config for the selected column kind.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

table_id
string
required
column_id
string
required

Body

application/json
name
string
required
key
string
required
kind
string
default:input
Allowed value: "input"

Response

Successful Response

id
string
required
created_at
string<date-time>
required
config
InputColumnConfig · object
required